// TODO: Cleanup
.drowl-background-media {
  --media-position: absolute;
  position: relative !important;
  overflow: hidden;
  &__overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
  }
  &__media-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 0;
    margin: 0;
    line-height: 0;
    clip-path: inset(0);
    img,
    video {
      object-fit: cover;
      position: var(--media-position);
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
    }
    + * {
      position: relative;
      z-index: 2;
    }
    &.bg-media-fixed {
      --media-position: fixed;
    }
    &.bg-media-parallax {
      --media-position: fixed;
    }
  }
}
